- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDXRelationship Class Reference

`#include <VSDXMLHelper.h>`

## Public Member Functions
| VSDXRelationship (xmlTextReaderPtr reader)
| VSDXRelationship ()
| ~VSDXRelationship ()
void | rebaseTarget (const char *baseDir)
const std::string | getId () const
const std::string | getType () const
const std::string | getTarget () const

## Private Attributes
std::string | m_id
std::string | m_type
std::string | m_target

## Constructor & Destructor Documentation

libvisio::VSDXRelationship::VSDXRelationship | ( | xmlTextReaderPtr | reader | ) |

libvisio::VSDXRelationship::VSDXRelationship | ( |  | ) |

libvisio::VSDXRelationship::~VSDXRelationship | ( |  | ) |

## Member Function Documentation

const std::string libvisio::VSDXRelationship::getId | ( |  | ) | const
| inline

Referenced by libvisio::VSDXRelationships::VSDXRelationships().

const std::string libvisio::VSDXRelationship::getTarget | ( |  | ) | const
| inline

Referenced by libvisio::VSDXParser::getBinaryData(), libvisio::VSDXParser::parseDocument(), libvisio::VSDXParser::parseMain(), and libvisio::VSDXParser::processXmlDocument().

const std::string libvisio::VSDXRelationship::getType | ( |  | ) | const
| inline

Referenced by libvisio::VSDXParser::getBinaryData(), libvisio::VSDXParser::processXmlDocument(), and libvisio::VSDXRelationships::VSDXRelationships().

void libvisio::VSDXRelationship::rebaseTarget | ( | const char * | baseDir | ) |

## Member Data Documentation

std::string libvisio::VSDXRelationship::m_id
| private

Referenced by getId(), and VSDXRelationship().

std::string libvisio::VSDXRelationship::m_target
| private

Referenced by getTarget(), and VSDXRelationship().

std::string libvisio::VSDXRelationship::m_type
| private

Referenced by getType(), and VSDXRelationship().

The documentation for this class was generated from the following files:

- VSDXMLHelper.h
- VSDXMLHelper.cpp